Area calculation of polygons - trial
09/01/2017 14:53 - Giulio Di Anastasio
Target version: demo Spent time: 0.00 hour
Description

Dear Philippe,

sorry | first wrote this in the GIS section of Redmine, now | closed it there and opened here in gisaf... sorry for the confusion...
| attach herewith a shapefile with three geometries:

1. square, 10 x 10 meters

2. rectangle, 30 x 10 meters

3. circle, 10 meters radius

| created these features in CAD through rectangle and circle tool. Interestingly, it is imported not as polygons but as polylines. | tried
to calculate the area via GIS, | could not...

One more thing: in the field calculator, there are two ways to calculate areas:

1. $area = Returns the area of the current feature. The area calculated by this function respects both the current project's ellipsoid
setting and area unit settings. Eg, if an ellipsoid has been set for the project then the calculated area will be ellipsoidal, and if no
ellipsoid is set then the calculated area will be planimetric.

Syntax

Sarea

Examples
$area — 42

2. area = Returns the area of a geometry polygon object. Calculations are always planimetric in the Spatial Reference System (SRS)
of this geometry, and the units of the returned area will match the units for the SRS. This differs from the calculations performed by
the $area function, which will perform ellipsoidal calculations based on the project's ellipsoid and area unit settings.

Syntax

area(geometry)

Arguments

geometry
polygon geometry object

Examples
area(geom_from_wkit('POLYGON)')) — 8.0

Giulio

Associated revisions

Revision 9¢91b667 - 10/01/2017 03:59 - Philippe May

Fixes #3473, fixes #3482: use gdal (0osgeo) instead of shapefile for importing, solving discrepancy of areas and interiors of polygons not processed
correctly

History

#1 - 10/01/2017 04:01 - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|9c91b66761efede32161970c1cd8ece2adcfcd67.
https://redmine.auroville.org.in/projects/gisaf/repository/revisions/9c91b66761efede32161970c1cd8ece2adcfcd67

#2 - 17/11/2017 12:30 - Philippe May

- Status changed from Resolved to Closed

Files

geometry try Giulio.zip 2.29 KB 09/01/2017 Giulio Di Anastasio
